const labelMapEN = {
  "DailyCharge": "`Daily Charge ($/day)`",
  "GasDailyCharge": "`Daily Charge ($/day)`",
  "PeakUsage": "`Peak Usage ($/kwh)`",
  "PeakUsage_First": "`Peak Usage - First ${args[0]} Kwh/Day ($/kwh)`",
  "PeakUsage_Step": "`Peak Usage - From ${args[0]} to ${args[1]} Kwh/Day ($/kwh)`",
  "PeakUsage_Last": "`Peak Usage Balance ($/kwh)`",
  "ShoulderUsage": "`Shoulder Usage ($/kwh)`",
  "ShoulderUsage_First": "`Shoulder Usage - First ${args[0]} Kwh/Day ($/kwh)`",
  "ShoulderUsage_Step": "`Shoulder Usage - From ${args[0]} to ${args[1]} Kwh/Day ($/kwh)`",
  "ShoulderUsage_Last": "`Shoulder Usage Balance ($/kwh)`",
  "OffPeakUsage": "`Off Peak Usage ($/kwh)`",
  "OffPeakUsage_First": "`Off Peak Usage - First ${args[0]} Kwh/Day ($/kwh)`",
  "OffPeakUsage_Step": "`Off Peak Usage - From ${args[0]} to ${args[1]} Kwh/Day ($/kwh)`",
  "OffPeakUsage_Last": "`Off Peak Usage Balance ($/kwh)`",
  "ControlledLoad": "`Controlled Load ($/kwh)`",
  "MeterCharge": "`Meter Charge ($/day)`",
  "DemandChargeKw": "`Demand Charge ($/kw/day)`",
  "DemandChargeOtherKw": "`Demand Charge - Other ($/kw/day)`",
  "DemandChargeSummerKw": "`Demand Charge - Summer ($/kw/day)`",
  "DemandChargeKva": "`Demand Charge ($/kva/day)`",
  "DemandChargeOtherKva": "`Demand Charge - Other ($/kva/day)`",
  "DemandChargeSummerKva": "`Demand Charge - Summer ($/kva/day)`",
  "ClimateSaverUsageSummer": "`Climate Saver Summer Usage ($/kwh)`",
  "ClimateSaverUsageSummer_First": "`Climate Saver Summer Usage - First ${args[0]} Kwh/Day ($/kwh)`",
  "ClimateSaverUsageSummer_Step": "`Climate Saver Summer Usage - From ${args[0]} to ${args[1]} Kwh/Day ($/kwh)`",
  "ClimateSaverUsageSummer_Last": "`Climate Saver Summer Usage Balance ($/kwh)`",
  "ClimateSaverUsageOther": "`Climate Saver Other Usage ($/kwh)`",
  "ClimateSaverUsageOther_First": "`Climate Saver Other Usage - First ${args[0]} Kwh/Day ($/kwh)`",
  "ClimateSaverUsageOther_Step": "`Climate Saver Other Usage - From ${args[0]} to ${args[1]} Kwh/Day ($/kwh)`",
  "ClimateSaverUsageOther_Last": "`Climate Saver Other Usage Balance ($/kwh)`",
  "TransitionalSolarFeedIn": "`Solar Generation ($/kwh)`",
  "TransitionalSolarFeedIn_First": "`Solar Generation - First ${args[0]} Kwh/Day ($/kwh)`",
  "TransitionalSolarFeedIn_Step": "`Solar Generation - From ${args[0]} to ${args[1]} Kwh/Day ($/kwh)`",
  "TransitionalSolarFeedIn_Last": "`Solar Generation Balance ($/kwh)`",
  "StandardSolarFeedIn": "`Solar Generation ($/kwh)`",
  "StandardSolarFeedIn_First": "`Solar Generation - First ${args[0]} Kwh/Day ($/kwh)`",
  "StandardSolarFeedIn_Step": "`Solar Generation - From ${args[0]} to ${args[1]} Kwh/Day ($/kwh)`",
  "StandardSolarFeedIn_Last": "`Solar Generation Balance ($/kwh)`",
  "PremiumSolarFeedIn": "`Solar Generation ($/kwh)`",
  "PremiumSolarFeedIn_First": "`Solar Generation - First ${args[0]} Kwh/Day ($/kwh)`",
  "PremiumSolarFeedIn_Step": "`Solar Generation - From ${args[0]} to ${args[1]} Kwh/Day ($/kwh)`",
  "PremiumSolarFeedIn_Last": "`Solar Generation Balance ($/kwh)`",
  "GasUsage_First": "`Usage - First ${args[0]} MJ/Day ($/MJ)`",
  "GasUsage_Step": "`Usage - From ${args[0]} to ${args[1]} MJ/Day ($/MJ)`",
  "GasUsage_Last": "`Usage Balance ($/MJ)`",
  "GasUsageSummer_First": "`Summer Usage - First ${args[0]} MJ/Day ($/MJ)`",
  "GasUsageSummer_Step": "`Summer Usage - From ${args[0]} to ${args[1]} MJ/Day ($/MJ)`",
  "GasUsageSummer_Last": "`Summer Usage Balance ($/MJ)`",
  "GasUsageWinter_First": "`Winter Usage - First ${args[0]} MJ/Day ($/MJ)`",
  "GasUsageWinter_Step": "`Winter Usage - From ${args[0]} to ${args[1]} MJ/Day ($/MJ)`",
  "GasUsageWinter_Last": "`Winter Usage Balance ($/MJ)`",
}
const labelMapZH = {
  "DailyCharge": "`月租费 ($/天)`",
  "GasDailyCharge": "`月租费 ($/天)`",
  "PeakUsage": "`高峰用电 ($/度电)`",
  "PeakUsage_First": "`高峰用电 - 前${args[0]}度/天 ($/度电)`",
  "PeakUsage_Step": "`高峰用电 - 前${args[0]}到${args[1]} Kwh/Day ($/kwh)`",
  "PeakUsage_Last": "`其他高峰用电 ($/度电)`",
  "ShoulderUsage": "`肩峰时段用电 ($/度电)`",
  "ShoulderUsage_First": "`肩峰时段用电 - 前${args[0]}度/天 ($/度电)`",
  "ShoulderUsage_Step": "`肩峰时段用电 - 前${args[0]}到${args[1]}度/天 ($/度电)`",
  "ShoulderUsage_Last": "`其他肩峰时段用电 ($/度电)`",
  "OffPeakUsage": "`非高峰用电 ($/度电)`",
  "OffPeakUsage_First": "`非高峰用电 - 前${args[0]}度/天 ($/度电)`",
  "OffPeakUsage_Step": "`非高峰用电 - 前${args[0]}到${args[1]}度/天 ($/度电)`",
  "OffPeakUsage_Last": "`其他非高峰用电 ($/度电)`",
  "ControlledLoad": "`定时热水器等可控负荷用电 ($/度电)`",
  "MeterCharge": "`电表月租 ($/天)`",
  "DemandChargeKw": "`需量电费 ($/千瓦/天)`",
  "DemandChargeOtherKw": "`需量电费 - 其他季节 ($/千瓦/天)`",
  "DemandChargeSummerKw": "`需量电费 - 夏天 ($/千瓦/天)`",
  "DemandChargeKva": "`需量电费 ($/千伏安/天)`",
  "DemandChargeOtherKva": "`需量电费 - 其他季节 ($/千伏安/天)`",
  "DemandChargeSummerKva": "`需量电费 - 夏天 ($/千伏安/天)`",
  "ClimateSaverUsageSummer": "`Climate Saver 夏季用量 ($/度电)`",
  "ClimateSaverUsageSummer_First": "`Climate Saver 夏季用量 - 前${args[0]}度/天 ($/度电)`",
  "ClimateSaverUsageSummer_Step": "`Climate Saver 夏季用量 - 前${args[0]}到${args[1]}度/天 ($/度电)`",
  "ClimateSaverUsageSummer_Last": "`Climate Saver 其他夏季用量 ($/kwh)`",
  "ClimateSaverUsageOther": "`Climate Saver 冬季用量 ($/度电)`",
  "ClimateSaverUsageOther_First": "`Climate Saver 冬季用量 - 前${args[0]}度/天 ($/度电)`",
  "ClimateSaverUsageOther_Step": "`Climate Saver 冬季用量 - 前${args[0]}到${args[1]}度/天 ($/度电)`",
  "ClimateSaverUsageOther_Last": "`Climate Saver 其他冬季用量 ($/度电)`",
  "TransitionalSolarFeedIn": "`太阳能面板发电 ($/度电)`",
  "TransitionalSolarFeedIn_First": "`前${args[0]}度/天 ($/度电)`",
  "TransitionalSolarFeedIn_Step": "`太阳能面板发电 - 前${args[0]}到${args[1]}度/天 ($/度电)`",
  "TransitionalSolarFeedIn_Last": "`其他太阳能面板发电 ($/度电)`",
  "StandardSolarFeedIn": "`太阳能面板发电 ($/度电)`",
  "StandardSolarFeedIn_First": "`前${args[0]}度/天 ($/度电)`",
  "StandardSolarFeedIn_Step": "`太阳能面板发电 - 前${args[0]}到${args[1]}度/天 ($/度电)`",
  "StandardSolarFeedIn_Last": "`其他太阳能面板发电 ($/度电)`",
  "PremiumSolarFeedIn": "`太阳能面板发电 ($/度电)`",
  "PremiumSolarFeedIn_First": "`前${args[0]}度/天 ($/度电)`",
  "PremiumSolarFeedIn_Step": "`太阳能面板发电 - 前${args[0]}到${args[1]}度/天 ($/度电)`",
  "PremiumSolarFeedIn_Last": "`其他太阳能面板发电 ($/度电)`",
  "GasUsage_First": "`煤气用量 - 前${args[0]}MJ/天($/MJ)`",
  "GasUsage_Step": "`煤气用量 - 前${args[0]}到${args[1]} MJ/天 ($/MJ)`",
  "GasUsage_Last": "`其他煤气用量 ($/MJ)`",
  "GasUsageSummer_First": "`夏季煤气用量 - 前${args[0]}MJ/天($/MJ)`",
  "GasUsageSummer_Step": "`夏季煤气用量 - 前${args[0]}到${args[1]} MJ/天 ($/MJ)`",
  "GasUsageSummer_Last": "`其他夏季煤气用量 ($/MJ)`",
  "GasUsageWinter_First": "`冬季煤气用量 - 前${args[0]}MJ/天($/MJ)`",
  "GasUsageWinter_Step": "`冬季煤气用量 - 前${args[0]}到${args[1]} MJ/天 ($/MJ)`",
  "GasUsageWinter_Last": "`其他冬季煤气用量 ($/MJ)`",
}
function getLabel(name, args, lang = 'en') {
  let labelMap = labelMapEN
  if (lang == 'zh') {
    labelMap = labelMapZH
  }
  if (labelMap[name]) {
    return new Function('args', `return ${labelMap[name]}`)(args)
  } else {
    return name
  }
}